SwitchStatement (groovy 2.4.6 API)
Date: 2016-02-18

Package: org.codehaus.groovy.ast.stmt

## [Java] Class SwitchStatement

- org.codehaus.groovy.ast.stmt.SwitchStatement

- Represents a switch (object) { case value: ... case [1, 2, 3]: ... default: ... } statement in Groovy.

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SwitchStatement (Expression expression)`
    `SwitchStatement (Expression expression, Statement defaultStatement)`
    `SwitchStatement (Expression expression, List<CaseStatement> caseStatements, Statement defaultStatement)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addCase(CaseStatement caseStatement)`
    `CaseStatement` | `getCaseStatement(int idx)` @return the case statement of the given index or null
    `List<CaseStatement>` | `getCaseStatements()`
    `Statement` | `getDefaultStatement()`
    `Expression` | `getExpression()`
    `void` | `setDefaultStatement(Statement defaultStatement)`
    `void` | `setExpression(Expression e)`
    `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Statement` | `addStatementLabel, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public SwitchStatement(Expression expression)

    - #### public SwitchStatement(Expression expression, Statement defaultStatement)

    - #### public SwitchStatement(Expression expression, List<CaseStatement> caseStatements, Statement defaultStatement)

  - ### Method Detail

    - #### public void addCase(CaseStatement caseStatement)

    - #### public CaseStatement getCaseStatement(int idx)

      Returns:
        the case statement of the given index or null

    - #### public List<CaseStatement> getCaseStatements()

    - #### public Statement getDefaultStatement()

    - #### public Expression getExpression()

    - #### public void setDefaultStatement(Statement defaultStatement)

    - #### public void setExpression(Expression e)

    - #### public void visit(GroovyCodeVisitor visitor)